<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ProgressiveMesh.html">ProgressiveMesh</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">PMVertex</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::ProgressiveMesh::PMVertex Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aea49c75299926625a8ddb468463c0f3e">BorderStatus</a> enum name</td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aea49c75299926625a8ddb468463c0f3ea46d6781bedbaaf63336c63402c911e0e">BS_BORDER</a> enum value</td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aea49c75299926625a8ddb468463c0f3eabce7e4ea5adf8c844d33b2727d1ad172">BS_NOT_BORDER</a> enum value</td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aea49c75299926625a8ddb468463c0f3ea2a8dcf807b6f977d45d983a1080be6df">BS_UNKNOWN</a> enum value</td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a10be1d987c689f6a0e3eabca15f65096">calculateNormal</a>()</td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a0bcc94cc31dc57068026c7a185baa589">collapseCost</a></td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a63fb8662dd40d265518a2c434e1e400b">collapseTo</a></td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a47b4d3d779f9e5323a24f53cf613a490">face</a></td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a3a99524de875faec7b675674cb39bbea">FaceList</a> typedef</td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a6982e31f211ee8b10cf643baebefc3aa">index</a></td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a8c2a0156d656102e6fb1198699752ff9">initBorderStatus</a>(void)</td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aab7df3d590ba9add1b945872a5759ea2">isManifoldEdgeWith</a>(PMVertex *v)</td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aef25ec9a1693d82650c4ec3974666fd2">isNearEnough</a>(PMVertex *other) const </td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a5d9e4494654cd43aebad3d618193797e">mBorderStatus</a></td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#aba08b3a1f6c6618e71fca01f4c326684">neighbor</a></td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a83a98e0ed483ecb9b27e76a8015c41ed">NeighborList</a> typedef</td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#ad3a7a5f290ac61eef6d8f180fad0db03">normal</a></td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a1793fbe5fc12a95fde281f1611ecb512">notifyRemoved</a>(void)</td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a4c52cc21daf3d06a39b04c1f125b8577">PMVertex</a>()</td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#ab2c1e1bf8296736b1b426577cdd8a020">position</a></td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a75bbec5fa218bb9845b3f059b9cddab6">removed</a></td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#ad96f10c8b54acfc7512451c26e8a397c">removeIfNonNeighbor</a>(PMVertex *n)</td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a09d9d3c1121c98ca474fc678ad6e52c4">setDetails</a>(size_t index, const Vector3 &amp;pos, const Vector3 &amp;normal, const Vector2 &amp;uv)</td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#ad259bc95f91a0186b62d932d368bde57">toBeRemoved</a></td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html#a078f3662efed050eced0e84356d8a868">uv</a></td><td><a class="el" href="classOgre_1_1ProgressiveMesh_1_1PMVertex.html">Ogre::ProgressiveMesh::PMVertex</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
